Subject: Re: [PATCH] using mii-bitbang on different processor ports - update the booting-without-of.txt-file

From: Scott Wood <[email-masked]>
Date: Fri, 09 Nov 2007 10:03:23 -0600

Sergej Stepanov wrote:
>> We also need to change the reference to port C in fsl,mdio-pin and 
>> fsl,mdc-pin.
> Do you mean this:
>    Currently defined compatibles:
>    fsl,pq1-fec-mdio (reg is same as first resource of FEC device)
> -> fsl,cpm2-mdio-bitbang (reg is port C registers)
> 
>    Properties for fsl,cpm2-mdio-bitbang:
> -> fsl,mdio-pin : pin of port C controlling mdio data
> -> fsl,mdc-pin : pin of port C controlling mdio clock

Yes.

> Right. But i thought it would be related to the example,
> and than the reader gets the short comment about I/O ports.

No, the example is the example, and the spec is the spec. :-)

> Or the other variant would be:
> --------------------
>    iv) MDIO
> 
>    Currently defined compatibles:
>    fsl,pq1-fec-mdio (reg is same as first resource of FEC device)
>    fsl,cpm2-mdio-bitbang (reg is the I/O port register block(s))
> 
>    Properties for fsl,cpm2-mdio-bitbang:
>    The first reg resource is the I/O port register block on which MDIO
>    resides.  The second reg resource is the I/O port register block on
>    which MDC resides.  If there is only one reg resource, it is used for
>    both MDIO and MDC.
>    fsl,mdio-pin : pin of chosen port for controlling mdio data
>    fsl,mdc-pin : pin of chosen port for controlling mdio clock

Looks good.  We can eliminate the parenthetical for 
fsl,cpm2-mdio-bitbang because reg is now explained below.

-Scott